#include "pw/scene/transform.hpp"

namespace pw {


void transform::set_local(const matrix44 &local)
{
    // TODO need to rebuild the transforms: both -> global down and global up
    _local = local;
}

void transform::set_global(const matrix44 &global)
{
	//TODO need to rebuild **_local** from parent
	_global = global;
}


void transform::update()
{
}

}
